io.vertx.reactivex.redis.client

## Class Command

- java.lang.Object
- - io.vertx.reactivex.redis.client.Command

-     public class Command
      extends Object

  Auto generated API Commands to interact with REDIS.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Command>` | `__TYPE_ARG`
    `static Command` | `ACL`
    `static Command` | `APPEND`
    `static Command` | `ASKING`
    `static Command` | `AUTH`
    `static Command` | `BGREWRITEAOF`
    `static Command` | `BGSAVE`
    `static Command` | `BITCOUNT`
    `static Command` | `BITFIELD`
    `static Command` | `BITFIELD_RO`
    `static Command` | `BITOP`
    `static Command` | `BITPOS`
    `static Command` | `BLMOVE`
    `static Command` | `BLMPOP`
    `static Command` | `BLPOP`
    `static Command` | `BRPOP`
    `static Command` | `BRPOPLPUSH`
    `static Command` | `BZMPOP`
    `static Command` | `BZPOPMAX`
    `static Command` | `BZPOPMIN`
    `static Command` | `CLIENT`
    `static Command` | `CLUSTER`
    `static Command` | `COMMAND`
    `static Command` | `CONFIG`
    `static Command` | `COPY`
    `static Command` | `DBSIZE`
    `static Command` | `DEBUG`
    `static Command` | `DECR`
    `static Command` | `DECRBY`
    `static Command` | `DEL`
    `static Command` | `DISCARD`
    `static Command` | `DUMP`
    `static Command` | `ECHO`
    `static Command` | `EVAL`
    `static Command` | `EVAL_RO`
    `static Command` | `EVALSHA`
    `static Command` | `EVALSHA_RO`
    `static Command` | `EXEC`
    `static Command` | `EXISTS`
    `static Command` | `EXPIRE`
    `static Command` | `EXPIREAT`
    `static Command` | `EXPIRETIME`
    `static Command` | `FAILOVER`
    `static Command` | `FCALL`
    `static Command` | `FCALL_RO`
    `static Command` | `FLUSHALL`
    `static Command` | `FLUSHDB`
    `static Command` | `FUNCTION`
    `static Command` | `GEOADD`
    `static Command` | `GEODIST`
    `static Command` | `GEOHASH`
    `static Command` | `GEOPOS`
    `static Command` | `GEORADIUS`
    `static Command` | `GEORADIUS_RO`
    `static Command` | `GEORADIUSBYMEMBER`
    `static Command` | `GEORADIUSBYMEMBER_RO`
    `static Command` | `GEOSEARCH`
    `static Command` | `GEOSEARCHSTORE`
    `static Command` | `GET`
    `static Command` | `GETBIT`
    `static Command` | `GETDEL`
    `static Command` | `GETEX`
    `static Command` | `GETRANGE`
    `static Command` | `GETSET`
    `static Command` | `HDEL`
    `static Command` | `HELLO`
    `static Command` | `HEXISTS`
    `static Command` | `HGET`
    `static Command` | `HGETALL`
    `static Command` | `HINCRBY`
    `static Command` | `HINCRBYFLOAT`
    `static Command` | `HKEYS`
    `static Command` | `HLEN`
    `static Command` | `HMGET`
    `static Command` | `HMSET`
    `static Command` | `HRANDFIELD`
    `static Command` | `HSCAN`
    `static Command` | `HSET`
    `static Command` | `HSETNX`
    `static Command` | `HSTRLEN`
    `static Command` | `HVALS`
    `static Command` | `INCR`
    `static Command` | `INCRBY`
    `static Command` | `INCRBYFLOAT`
    `static Command` | `INFO`
    `static Command` | `KEYS`
    `static Command` | `LASTSAVE`
    `static Command` | `LATENCY`
    `static Command` | `LCS`
    `static Command` | `LINDEX`
    `static Command` | `LINSERT`
    `static Command` | `LLEN`
    `static Command` | `LMOVE`
    `static Command` | `LMPOP`
    `static Command` | `LOLWUT`
    `static Command` | `LPOP`
    `static Command` | `LPOS`
    `static Command` | `LPUSH`
    `static Command` | `LPUSHX`
    `static Command` | `LRANGE`
    `static Command` | `LREM`
    `static Command` | `LSET`
    `static Command` | `LTRIM`
    `static Command` | `MEMORY`
    `static Command` | `MGET`
    `static Command` | `MIGRATE`
    `static Command` | `MODULE`
    `static Command` | `MONITOR`
    `static Command` | `MOVE`
    `static Command` | `MSET`
    `static Command` | `MSETNX`
    `static Command` | `MULTI`
    `static Command` | `OBJECT`
    `static Command` | `PERSIST`
    `static Command` | `PEXPIRE`
    `static Command` | `PEXPIREAT`
    `static Command` | `PEXPIRETIME`
    `static Command` | `PFADD`
    `static Command` | `PFCOUNT`
    `static Command` | `PFDEBUG`
    `static Command` | `PFMERGE`
    `static Command` | `PFSELFTEST`
    `static Command` | `PING`
    `static Command` | `PSETEX`
    `static Command` | `PSUBSCRIBE`
    `static Command` | `PSYNC`
    `static Command` | `PTTL`
    `static Command` | `PUBLISH`
    `static Command` | `PUBSUB`
    `static Command` | `PUNSUBSCRIBE`
    `static Command` | `QUIT`
    `static Command` | `RANDOMKEY`
    `static Command` | `READONLY`
    `static Command` | `READWRITE`
    `static Command` | `RENAME`
    `static Command` | `RENAMENX`
    `static Command` | `REPLCONF`
    `static Command` | `REPLICAOF`
    `static Command` | `RESET`
    `static Command` | `RESTORE`
    `static Command` | `RESTORE_ASKING`
    `static Command` | `ROLE`
    `static Command` | `RPOP`
    `static Command` | `RPOPLPUSH`
    `static Command` | `RPUSH`
    `static Command` | `RPUSHX`
    `static Command` | `SADD`
    `static Command` | `SAVE`
    `static Command` | `SCAN`
    `static Command` | `SCARD`
    `static Command` | `SCRIPT`
    `static Command` | `SDIFF`
    `static Command` | `SDIFFSTORE`
    `static Command` | `SELECT`
    `static Command` | `SENTINEL`
    `static Command` | `SET`
    `static Command` | `SETBIT`
    `static Command` | `SETEX`
    `static Command` | `SETNX`
    `static Command` | `SETRANGE`
    `static Command` | `SHUTDOWN`
    `static Command` | `SINTER`
    `static Command` | `SINTERCARD`
    `static Command` | `SINTERSTORE`
    `static Command` | `SISMEMBER`
    `static Command` | `SLAVEOF`
    `static Command` | `SLOWLOG`
    `static Command` | `SMEMBERS`
    `static Command` | `SMISMEMBER`
    `static Command` | `SMOVE`
    `static Command` | `SORT`
    `static Command` | `SORT_RO`
    `static Command` | `SPOP`
    `static Command` | `SPUBLISH`
    `static Command` | `SRANDMEMBER`
    `static Command` | `SREM`
    `static Command` | `SSCAN`
    `static Command` | `SSUBSCRIBE`
    `static Command` | `STRLEN`
    `static Command` | `SUBSCRIBE`
    `static Command` | `SUBSTR`
    `static Command` | `SUNION`
    `static Command` | `SUNIONSTORE`
    `static Command` | `SUNSUBSCRIBE`
    `static Command` | `SWAPDB`
    `static Command` | `SYNC`
    `static Command` | `TIME`
    `static Command` | `TOUCH`
    `static Command` | `TTL`
    `static Command` | `TYPE`
    `static Command` | `UNLINK`
    `static Command` | `UNSUBSCRIBE`
    `static Command` | `UNWATCH`
    `static Command` | `WAIT`
    `static Command` | `WATCH`
    `static Command` | `XACK`
    `static Command` | `XADD`
    `static Command` | `XAUTOCLAIM`
    `static Command` | `XCLAIM`
    `static Command` | `XDEL`
    `static Command` | `XGROUP`
    `static Command` | `XINFO`
    `static Command` | `XLEN`
    `static Command` | `XPENDING`
    `static Command` | `XRANGE`
    `static Command` | `XREAD`
    `static Command` | `XREADGROUP`
    `static Command` | `XREVRANGE`
    `static Command` | `XSETID`
    `static Command` | `XTRIM`
    `static Command` | `ZADD`
    `static Command` | `ZCARD`
    `static Command` | `ZCOUNT`
    `static Command` | `ZDIFF`
    `static Command` | `ZDIFFSTORE`
    `static Command` | `ZINCRBY`
    `static Command` | `ZINTER`
    `static Command` | `ZINTERCARD`
    `static Command` | `ZINTERSTORE`
    `static Command` | `ZLEXCOUNT`
    `static Command` | `ZMPOP`
    `static Command` | `ZMSCORE`
    `static Command` | `ZPOPMAX`
    `static Command` | `ZPOPMIN`
    `static Command` | `ZRANDMEMBER`
    `static Command` | `ZRANGE`
    `static Command` | `ZRANGEBYLEX`
    `static Command` | `ZRANGEBYSCORE`
    `static Command` | `ZRANGESTORE`
    `static Command` | `ZRANK`
    `static Command` | `ZREM`
    `static Command` | `ZREMRANGEBYLEX`
    `static Command` | `ZREMRANGEBYRANK`
    `static Command` | `ZREMRANGEBYSCORE`
    `static Command` | `ZREVRANGE`
    `static Command` | `ZREVRANGEBYLEX`
    `static Command` | `ZREVRANGEBYSCORE`
    `static Command` | `ZREVRANK`
    `static Command` | `ZSCAN`
    `static Command` | `ZSCORE`
    `static Command` | `ZUNION`
    `static Command` | `ZUNIONSTORE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Command(Command delegate)`
    `Command(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Command` | `create(String command)` Generic command generator for extensions.
    `static Command` | `create(String command, int arity, int firstKey, int lastKey, int interval, boolean write, boolean readOnly, boolean movable, boolean pubsub)` Creates a Redis Command from METADATA.
    `boolean` | `equals(Object o)`
    `int` | `getArity()`
    `byte[]` | `getBytes()`
    `Command` | `getDelegate()`
    `int` | `getFirstKey()`
    `int` | `getInterval()`
    `int` | `getLastKey()`
    `int` | `hashCode()`
    `boolean` | `isKeyless()`
    `boolean` | `isMovable()`
    `boolean` | `isMultiKey()`
    `boolean` | `isPubSub()`
    `boolean` | `isReadOnly()`
    `boolean` | `isVoid()` Deprecated.
    `boolean` | `isWrite()`
    `static Command` | `newInstance(Command arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Command> __TYPE_ARG

    - #### ACL

          public static final Command ACL

    - #### APPEND

          public static final Command APPEND

    - #### ASKING

          public static final Command ASKING

    - #### AUTH

          public static final Command AUTH

    - #### BGREWRITEAOF

          public static final Command BGREWRITEAOF

    - #### BGSAVE

          public static final Command BGSAVE

    - #### BITCOUNT

          public static final Command BITCOUNT

    - #### BITFIELD

          public static final Command BITFIELD

    - #### BITFIELD_RO

          public static final Command BITFIELD_RO

    - #### BITOP

          public static final Command BITOP

    - #### BITPOS

          public static final Command BITPOS

    - #### BLMOVE

          public static final Command BLMOVE

    - #### BLMPOP

          public static final Command BLMPOP

    - #### BLPOP

          public static final Command BLPOP

    - #### BRPOP

          public static final Command BRPOP

    - #### BRPOPLPUSH

          public static final Command BRPOPLPUSH

    - #### BZMPOP

          public static final Command BZMPOP

    - #### BZPOPMAX

          public static final Command BZPOPMAX

    - #### BZPOPMIN

          public static final Command BZPOPMIN

    - #### CLIENT

          public static final Command CLIENT

    - #### CLUSTER

          public static final Command CLUSTER

    - #### COMMAND

          public static final Command COMMAND

    - #### CONFIG

          public static final Command CONFIG

    - #### COPY

          public static final Command COPY

    - #### DBSIZE

          public static final Command DBSIZE

    - #### DEBUG

          public static final Command DEBUG

    - #### DECR

          public static final Command DECR

    - #### DECRBY

          public static final Command DECRBY

    - #### DEL

          public static final Command DEL

    - #### DISCARD

          public static final Command DISCARD

    - #### DUMP

          public static final Command DUMP

    - #### ECHO

          public static final Command ECHO

    - #### EVAL

          public static final Command EVAL

    - #### EVAL_RO

          public static final Command EVAL_RO

    - #### EVALSHA

          public static final Command EVALSHA

    - #### EVALSHA_RO

          public static final Command EVALSHA_RO

    - #### EXEC

          public static final Command EXEC

    - #### EXISTS

          public static final Command EXISTS

    - #### EXPIRE

          public static final Command EXPIRE

    - #### EXPIREAT

          public static final Command EXPIREAT

    - #### EXPIRETIME

          public static final Command EXPIRETIME

    - #### FAILOVER

          public static final Command FAILOVER

    - #### FCALL

          public static final Command FCALL

    - #### FCALL_RO

          public static final Command FCALL_RO

    - #### FLUSHALL

          public static final Command FLUSHALL

    - #### FLUSHDB

          public static final Command FLUSHDB

    - #### FUNCTION

          public static final Command FUNCTION

    - #### GEOADD

          public static final Command GEOADD

    - #### GEODIST

          public static final Command GEODIST

    - #### GEOHASH

          public static final Command GEOHASH

    - #### GEOPOS

          public static final Command GEOPOS

    - #### GEORADIUS

          public static final Command GEORADIUS

    - #### GEORADIUS_RO

          public static final Command GEORADIUS_RO

    - #### GEORADIUSBYMEMBER

          public static final Command GEORADIUSBYMEMBER

    - #### GEORADIUSBYMEMBER_RO

          public static final Command GEORADIUSBYMEMBER_RO

    - #### GEOSEARCH

          public static final Command GEOSEARCH

    - #### GEOSEARCHSTORE

          public static final Command GEOSEARCHSTORE

    - #### GET

          public static final Command GET

    - #### GETBIT

          public static final Command GETBIT

    - #### GETDEL

          public static final Command GETDEL

    - #### GETEX

          public static final Command GETEX

    - #### GETRANGE

          public static final Command GETRANGE

    - #### GETSET

          public static final Command GETSET

    - #### HDEL

          public static final Command HDEL

    - #### HELLO

          public static final Command HELLO

    - #### HEXISTS

          public static final Command HEXISTS

    - #### HGET

          public static final Command HGET

    - #### HGETALL

          public static final Command HGETALL

    - #### HINCRBY

          public static final Command HINCRBY

    - #### HINCRBYFLOAT

          public static final Command HINCRBYFLOAT

    - #### HKEYS

          public static final Command HKEYS

    - #### HLEN

          public static final Command HLEN

    - #### HMGET

          public static final Command HMGET

    - #### HMSET

          public static final Command HMSET

    - #### HRANDFIELD

          public static final Command HRANDFIELD

    - #### HSCAN

          public static final Command HSCAN

    - #### HSET

          public static final Command HSET

    - #### HSETNX

          public static final Command HSETNX

    - #### HSTRLEN

          public static final Command HSTRLEN

    - #### HVALS

          public static final Command HVALS

    - #### INCR

          public static final Command INCR

    - #### INCRBY

          public static final Command INCRBY

    - #### INCRBYFLOAT

          public static final Command INCRBYFLOAT

    - #### INFO

          public static final Command INFO

    - #### KEYS

          public static final Command KEYS

    - #### LASTSAVE

          public static final Command LASTSAVE

    - #### LATENCY

          public static final Command LATENCY

    - #### LCS

          public static final Command LCS

    - #### LINDEX

          public static final Command LINDEX

    - #### LINSERT

          public static final Command LINSERT

    - #### LLEN

          public static final Command LLEN

    - #### LMOVE

          public static final Command LMOVE

    - #### LMPOP

          public static final Command LMPOP

    - #### LOLWUT

          public static final Command LOLWUT

    - #### LPOP

          public static final Command LPOP

    - #### LPOS

          public static final Command LPOS

    - #### LPUSH

          public static final Command LPUSH

    - #### LPUSHX

          public static final Command LPUSHX

    - #### LRANGE

          public static final Command LRANGE

    - #### LREM

          public static final Command LREM

    - #### LSET

          public static final Command LSET

    - #### LTRIM

          public static final Command LTRIM

    - #### MEMORY

          public static final Command MEMORY

    - #### MGET

          public static final Command MGET

    - #### MIGRATE

          public static final Command MIGRATE

    - #### MODULE

          public static final Command MODULE

    - #### MONITOR

          public static final Command MONITOR

    - #### MOVE

          public static final Command MOVE

    - #### MSET

          public static final Command MSET

    - #### MSETNX

          public static final Command MSETNX

    - #### MULTI

          public static final Command MULTI

    - #### OBJECT

          public static final Command OBJECT

    - #### PERSIST

          public static final Command PERSIST

    - #### PEXPIRE

          public static final Command PEXPIRE

    - #### PEXPIREAT

          public static final Command PEXPIREAT

    - #### PEXPIRETIME

          public static final Command PEXPIRETIME

    - #### PFADD

          public static final Command PFADD

    - #### PFCOUNT

          public static final Command PFCOUNT

    - #### PFDEBUG

          public static final Command PFDEBUG

    - #### PFMERGE

          public static final Command PFMERGE

    - #### PFSELFTEST

          public static final Command PFSELFTEST

    - #### PING

          public static final Command PING

    - #### PSETEX

          public static final Command PSETEX

    - #### PSUBSCRIBE

          public static final Command PSUBSCRIBE

    - #### PSYNC

          public static final Command PSYNC

    - #### PTTL

          public static final Command PTTL

    - #### PUBLISH

          public static final Command PUBLISH

    - #### PUBSUB

          public static final Command PUBSUB

    - #### PUNSUBSCRIBE

          public static final Command PUNSUBSCRIBE

    - #### QUIT

          public static final Command QUIT

    - #### RANDOMKEY

          public static final Command RANDOMKEY

    - #### READONLY

          public static final Command READONLY

    - #### READWRITE

          public static final Command READWRITE

    - #### RENAME

          public static final Command RENAME

    - #### RENAMENX

          public static final Command RENAMENX

    - #### REPLCONF

          public static final Command REPLCONF

    - #### REPLICAOF

          public static final Command REPLICAOF

    - #### RESET

          public static final Command RESET

    - #### RESTORE

          public static final Command RESTORE

    - #### RESTORE_ASKING

          public static final Command RESTORE_ASKING

    - #### ROLE

          public static final Command ROLE

    - #### RPOP

          public static final Command RPOP

    - #### RPOPLPUSH

          public static final Command RPOPLPUSH

    - #### RPUSH

          public static final Command RPUSH

    - #### RPUSHX

          public static final Command RPUSHX

    - #### SADD

          public static final Command SADD

    - #### SAVE

          public static final Command SAVE

    - #### SCAN

          public static final Command SCAN

    - #### SCARD

          public static final Command SCARD

    - #### SCRIPT

          public static final Command SCRIPT

    - #### SDIFF

          public static final Command SDIFF

    - #### SDIFFSTORE

          public static final Command SDIFFSTORE

    - #### SELECT

          public static final Command SELECT

    - #### SET

          public static final Command SET

    - #### SETBIT

          public static final Command SETBIT

    - #### SETEX

          public static final Command SETEX

    - #### SETNX

          public static final Command SETNX

    - #### SETRANGE

          public static final Command SETRANGE

    - #### SHUTDOWN

          public static final Command SHUTDOWN

    - #### SINTER

          public static final Command SINTER

    - #### SINTERCARD

          public static final Command SINTERCARD

    - #### SINTERSTORE

          public static final Command SINTERSTORE

    - #### SISMEMBER

          public static final Command SISMEMBER

    - #### SLAVEOF

          public static final Command SLAVEOF

    - #### SLOWLOG

          public static final Command SLOWLOG

    - #### SMEMBERS

          public static final Command SMEMBERS

    - #### SMISMEMBER

          public static final Command SMISMEMBER

    - #### SMOVE

          public static final Command SMOVE

    - #### SORT

          public static final Command SORT

    - #### SORT_RO

          public static final Command SORT_RO

    - #### SPOP

          public static final Command SPOP

    - #### SPUBLISH

          public static final Command SPUBLISH

    - #### SRANDMEMBER

          public static final Command SRANDMEMBER

    - #### SREM

          public static final Command SREM

    - #### SSCAN

          public static final Command SSCAN

    - #### SSUBSCRIBE

          public static final Command SSUBSCRIBE

    - #### STRLEN

          public static final Command STRLEN

    - #### SUBSCRIBE

          public static final Command SUBSCRIBE

    - #### SUBSTR

          public static final Command SUBSTR

    - #### SUNION

          public static final Command SUNION

    - #### SUNIONSTORE

          public static final Command SUNIONSTORE

    - #### SUNSUBSCRIBE

          public static final Command SUNSUBSCRIBE

    - #### SWAPDB

          public static final Command SWAPDB

    - #### SYNC

          public static final Command SYNC

    - #### TIME

          public static final Command TIME

    - #### TOUCH

          public static final Command TOUCH

    - #### TTL

          public static final Command TTL

    - #### TYPE

          public static final Command TYPE

    - #### UNLINK

          public static final Command UNLINK

    - #### UNSUBSCRIBE

          public static final Command UNSUBSCRIBE

    - #### UNWATCH

          public static final Command UNWATCH

    - #### WAIT

          public static final Command WAIT

    - #### WATCH

          public static final Command WATCH

    - #### XACK

          public static final Command XACK

    - #### XADD

          public static final Command XADD

    - #### XAUTOCLAIM

          public static final Command XAUTOCLAIM

    - #### XCLAIM

          public static final Command XCLAIM

    - #### XDEL

          public static final Command XDEL

    - #### XGROUP

          public static final Command XGROUP

    - #### XINFO

          public static final Command XINFO

    - #### XLEN

          public static final Command XLEN

    - #### XPENDING

          public static final Command XPENDING

    - #### XRANGE

          public static final Command XRANGE

    - #### XREAD

          public static final Command XREAD

    - #### XREADGROUP

          public static final Command XREADGROUP

    - #### XREVRANGE

          public static final Command XREVRANGE

    - #### XSETID

          public static final Command XSETID

    - #### XTRIM

          public static final Command XTRIM

    - #### ZADD

          public static final Command ZADD

    - #### ZCARD

          public static final Command ZCARD

    - #### ZCOUNT

          public static final Command ZCOUNT

    - #### ZDIFF

          public static final Command ZDIFF

    - #### ZDIFFSTORE

          public static final Command ZDIFFSTORE

    - #### ZINCRBY

          public static final Command ZINCRBY

    - #### ZINTER

          public static final Command ZINTER

    - #### ZINTERCARD

          public static final Command ZINTERCARD

    - #### ZINTERSTORE

          public static final Command ZINTERSTORE

    - #### ZLEXCOUNT

          public static final Command ZLEXCOUNT

    - #### ZMPOP

          public static final Command ZMPOP

    - #### ZMSCORE

          public static final Command ZMSCORE

    - #### ZPOPMAX

          public static final Command ZPOPMAX

    - #### ZPOPMIN

          public static final Command ZPOPMIN

    - #### ZRANDMEMBER

          public static final Command ZRANDMEMBER

    - #### ZRANGE

          public static final Command ZRANGE

    - #### ZRANGEBYLEX

          public static final Command ZRANGEBYLEX

    - #### ZRANGEBYSCORE

          public static final Command ZRANGEBYSCORE

    - #### ZRANGESTORE

          public static final Command ZRANGESTORE

    - #### ZRANK

          public static final Command ZRANK

    - #### ZREM

          public static final Command ZREM

    - #### ZREMRANGEBYLEX

          public static final Command ZREMRANGEBYLEX

    - #### ZREMRANGEBYRANK

          public static final Command ZREMRANGEBYRANK

    - #### ZREMRANGEBYSCORE

          public static final Command ZREMRANGEBYSCORE

    - #### ZREVRANGE

          public static final Command ZREVRANGE

    - #### ZREVRANGEBYLEX

          public static final Command ZREVRANGEBYLEX

    - #### ZREVRANGEBYSCORE

          public static final Command ZREVRANGEBYSCORE

    - #### ZREVRANK

          public static final Command ZREVRANK

    - #### ZSCAN

          public static final Command ZSCAN

    - #### ZSCORE

          public static final Command ZSCORE

    - #### ZUNION

          public static final Command ZUNION

    - #### ZUNIONSTORE

          public static final Command ZUNIONSTORE

    - #### SENTINEL

          public static final Command SENTINEL

  - ### Constructor Detail

    - #### Command

          public Command(Command delegate)

    - #### Command

          public Command(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Command getDelegate()

    - #### create

          public static Command create(String command,
                                       int arity,
                                       int firstKey,
                                       int lastKey,
                                       int interval,
                                       boolean write,
                                       boolean readOnly,
                                       boolean movable,
                                       boolean pubsub)

      Creates a Redis Command from METADATA. The metadata comes from the REDIS command "COMMAND" https://redis.io/commands/command Each top-level result contains six nested results. Each nested result is: command name command arity specification nested Array reply of command flags position of first key in argument list position of last key in argument list step count for locating repeating keys
      Parameters:
        `command` - command name
        `arity` - arity
        `firstKey` - position of the first key
        `lastKey` - position of the last key
        `interval` - step count for locating repeating keys
        `write` - write flag extracted from the nested Array reply of command flags
        `readOnly` - readOnly flag extracted from the nested Array reply of command flags
        `movable` - movable flag extracted from the nested Array reply of command flags
        `pubsub` - flag extracted from the nested Array reply of command flags
      Returns:
        a command instance

    - #### create

          public static Command create(String command)

      Generic command generator for extensions.
      Parameters:
        `command` -
      Returns:
        the cachable immutable command instance

    - #### getArity

          public int getArity()

    - #### isMultiKey

          public boolean isMultiKey()

    - #### getFirstKey

          public int getFirstKey()

    - #### getLastKey

          public int getLastKey()

    - #### getInterval

          public int getInterval()

    - #### isKeyless

          public boolean isKeyless()

    - #### isWrite

          public boolean isWrite()

    - #### isReadOnly

          public boolean isReadOnly()

    - #### isMovable

          public boolean isMovable()

    - #### isVoid

          @Deprecated
          public boolean isVoid()

      Deprecated.
      Returns:

    - #### isPubSub

          public boolean isPubSub()

    - #### getBytes

          public byte[] getBytes()

    - #### newInstance

          public static Command newInstance(Command arg)

Copyright © 2022 Eclipse. All rights reserved.